Skip to main content
GET
/
libraries
/
{libraryId}
/
transcoding
/
profiles
List Transcoding Profiles
curl --request GET \
  --url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/transcoding/profiles \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/transcoding/profiles"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/transcoding/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/transcoding/profiles"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/transcoding/profiles")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
HttpResponse<String> response = Unirest.get("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/transcoding/profiles")
.header("Authorization", "Bearer <token>")
.asString();
using RestSharp;


var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/transcoding/profiles");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/transcoding/profiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": [
    {
      "updated_at": "2025-10-14T13:08:41.051464Z",
      "created_at": "2025-10-14T13:08:41.051464Z",
      "created_by": "2fa3fe27-ffcd-470b-becf-83f6f22a93ab",
      "updated_by": null,
      "deleted_at": null,
      "transcoding": {
        "format": "abr",
        "resolution": [
          "240p",
          "360p",
          "720p",
          "1080p"
        ],
        "video_codec": [
          "h264"
        ],
        "image_overlay": {
          "url": "https://cdn.vidinfra.com/watermark.png",
          "position": "bottom-right",
          "opacity": 0.8
        },
        "thumbnail": {
          "mode": "auto",
          "format": "jpg",
          "count": 6,
          "spritesheet": true
        },
        "generate_subtitles": {
          "audio_language": "",
          "subtitle_language": null
        },
        "encryption": {
          "enabled": false,
          "method": "",
          "key_url": ""
        },
        "drm": {
          "enabled": false,
          "providers": null,
          "license_servers": null
        },
        "mp4_access": false,
        "keep_original": false
      },
      "name": "Vidinfra Ultra Secure Profile",
      "description": "4K adaptive bitrate profile with AES encryption and subtitle generation.",
      "id": "4ee8ef4f-c541-48a8-a8cf-9b43dfd9d5f3",
      "organization_id": "677826f5-1aea-4cba-8973-043cdbc60f35",
      "library_id": "68f168f4-ccae-4c01-9e70-432604c364c4"
    }
  ],
  "meta": {
    "links": {
      "self": "/libraries/68f168f4-ccae-4c01-9e70-432604c364c4/transcoding/profiles?limit=20&page=1",
      "first": "/libraries/68f168f4-ccae-4c01-9e70-432604c364c4/transcoding/profiles?limit=20&page=1",
      "last": "/libraries/68f168f4-ccae-4c01-9e70-432604c364c4/transcoding/profiles?limit=20&page=1"
    },
    "pagination": {
      "page": 1,
      "page_size": 20,
      "total": 1,
      "total_pages": 1
    }
  },
  "message": "Transcoding Profiles Fetched Successfully",
  "success": true
}
{
"message": "Invalid Request",
"success": false
}
{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}
{
"message": "Resource not found",
"success": false
}
{
"message": "Internal server error",
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

libraryId
string
required

Unique identifier of the library.

Response

data
object[]
required
meta
object
required
message
string
required
success
boolean
required